> For the complete documentation index, see [llms.txt](https://docs.allnodes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.allnodes.com/endpoints/full-node.md).

# Full Node

## Get all full nodes

<mark style="color:blue;">`GET`</mark> `https://www.allnodes.com/api/v1/fullnode`

This endpoint allows to get list of all your hosted full nodes and sentry nodes.

#### Headers

| Name                                            | Type   | Description  |
| ----------------------------------------------- | ------ | ------------ |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer TOKEN |

{% tabs %}
{% tab title="200: OK " %}

```javascript
[
  {
    id: number;
    fqdn: string;
    name: string;
    currencySymbol: string;
    createdAt: string;
    mode: 'fullnode' | 'sentry';
    instances: [{
      slug: string;
      version: string;
      blockHeight: number | null;
      startedAt: string | null;
    }];
  }
]
```

{% endtab %}
{% endtabs %}

## Get a full node

<mark style="color:blue;">`GET`</mark> `https://www.allnodes.com/api/v1/fullnode/{id}`

This endpoint allows to get info about specific full node or sentry node on your account.

#### Path Parameters

<table><thead><tr><th>Name</th><th width="209">Type</th><th>Description</th></tr></thead><tbody><tr><td>id<mark style="color:red;">*</mark></td><td>string</td><td>Full node you want to get info about. ID can be extracted from the “Get all full nodes” call</td></tr></tbody></table>

#### Headers

| Name                                            | Type   | Description  |
| ----------------------------------------------- | ------ | ------------ |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer TOKEN |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  id: number;
  fqdn: string;
  name: string;
  currencySymbol: string;
  createdAt: string;
  mode: 'fullnode' | 'sentry';
  instances: [{
    slug: string;
    version: string;
    blockHeight: number | null;
    startedAt: string | null;
  }];
}
```

{% endtab %}

{% tab title="404: Not Found Full node not found" %}

```javascript
{
  "error": "NODE_NOT_FOUND" 
}
```

{% endtab %}
{% endtabs %}

## Restart a full node

<mark style="color:green;">`POST`</mark> `https://www.allnodes.com/api/v1/fullnode/{id}/restart`

This endpoint allows you to restart your full node.

This feature is available only for Advanced or Enterprise plan nodes.

#### Path Parameters

<table><thead><tr><th>Name</th><th width="209">Type</th><th>Description</th></tr></thead><tbody><tr><td>id<mark style="color:red;">*</mark></td><td>string</td><td>Full node you want to restart. ID can be extracted from the “Get all full nodes” call</td></tr></tbody></table>

**Headers**

| Name                                            | Type   | Value        |
| ----------------------------------------------- | ------ | ------------ |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer TOKEN |

**Response**

{% tabs %}
{% tab title="204: No Content Full node successfully restarted." %}

```json
```

{% endtab %}

{% tab title="403: Forbidden Full node can not be restarted." %}

```json
{
  "error": "FORBIDDEN"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.allnodes.com/endpoints/full-node.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
